/*	TRANSPORTER
 Creating Your Web
 www.transporter.at
*/

/*------------------------------------*\
	#PAGE-HEADER
\*------------------------------------*/

.page-header {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  background-color: rgba($white, 0.95);
  border-bottom: $border-width $border-style $brand-very-light;

  &:before {
    //preload for print
    position: absolute;
    left: -99999px;
    top: -99999px;
    content: "";
    background: transparent url("../images/pro/logos/logo_en_print.png") no-repeat 0 0;
    background-size: 1px 1px;
    opacity: 0;
  }

  a {

    &:link,
    &:visited {
      color: $grey-dark;
    }

    &:hover,
    &:active,
    &.active {
      color: $anchor-font-color;
    }
  }

  >div {
    position: relative;
    display: flex;
    top: 0;
    height: $page-header-height;
    padding: 0 $page-header-padding-h;
    border-right: $border-width $border-style $border-color;
    opacity: 1;
    @include rollover(all, $transition-duration * 2);

    @media #{$large-up} {
      padding: 0 $page-header-padding-h-large;
    }

    //&:last-child {
    &:nth-last-child(-n + 2) {
      border: none;
    }
  }

  @media screen and (max-width: #{lower-bound($tiny-range)}) {
    .page-header-logo {
      .mark {
        display: none;
      }

      .url {
        margin-left: $padding * 0.25;
      }
    }
  }

  @media screen and (max-width: #{upper-bound($normal-range)}) {
    .page-header-navigation {
      display: none;
      opacity: 0;
    }

    .navigation-open & {
      height: calc(100vh - #{$bar-width} + #{$border-width});

      .page-header-logo,
      .page-header-language,
      .page-header-logo-secondary {
        top: calc(0 - #{$page-header-height});
        opacity: 0;
      }

      .page-header-navigation {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        margin: 0;
        padding: ($page-header-padding-v * 5) $page-header-padding-h-large;
        height: calc(100vh - #{$bar-width} + #{$border-width});
        border-right: none;
        opacity: 1;
        overflow-y: scroll;
        -webkit-overflow-scrolling: touch;
        @include rollover(all, 0);
      }

      .page-header-hamburger {
        position: absolute;
        top: 0;
        right: -$border-width * 2;

        span {
          &:before {
            transform: rotate(-45deg);
            opacity: 0;
          }

          span {
            &:before {
              opacity: 1;
              transform: rotate(0deg);
            }
          }
        }
      }
    }

    // .scrolling-down.s-weathermap-2020:not(.navigation-open) & {
    //   top: calc(0px - #{$page-header-height});
    //   @include rollout(all, $transition-duration, $ease: ease-in);
    // }
  }

  @media #{$medium-up} {
    .page-header-hamburger {
      width: 0;
      padding-left: 0;
      padding-right: 0;
      opacity: 0;
    }

    .page-header-logo-secondary {
      margin-right: 0;
    }

    // .scrolling-down.s-weathermap-2020 & {
    //   top: calc(0px - #{$page-header-height});
    //   @include rollout(all, $transition-duration, $ease: ease-in);
    // }
  }

  @media #{$large-up} {
    .page-header-logo-secondary {
      margin-right: 0;
    }
  }
}

$page-header-logo-width: 3.25em;

.page-header-logo {
  align-items: center;

  a {
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }

  .mark {
    position: relative;
    display: block;
    height: $page-header-height;
    width: $page-header-logo-width;

    span {
      position: absolute;
      top: 0;
      left: 0;
      height: $page-header-height;
      width: $page-header-logo-width;
      transform-origin: 50% 50%;

      background-color: transparent;
      background-repeat: no-repeat;
      background-position: 50% 50%;

      @include font-smoothing(subpixel-antialiased);

      opacity: 0;
      @include rollout;
    }

    .mark-en {
      opacity: 1;
      background-image: url("../images/pro/logos/logo_mark.svg");
      background-size: $logo-mark-en-width $logo-mark-en-height;
    }
  }

  .url {
    position: relative;
    display: block;
    height: $page-header-height;
    width: 10em;
    margin-left: 0.5em;

    .url-en {
      opacity: 1;
      height: $logo-url-en-height;
      width: $logo-url-en-width;
      background-image: url("../images/pro/logos/logo_url.svg");
      background-size: $logo-url-en-width $logo-url-en-height;
    }

    .domain & {
      width: $logo-url-en-width;

      .url-en {
        opacity: 1;
      }
    }

    span {
      position: absolute;
      top: calc(#{$page-header-height} / 2 + 2px);
      left: 0;
      transform: translateY(-50%);

      background-color: transparent;
      background-repeat: no-repeat;
      background-position: 0 0;

      @include font-smoothing(subpixel-antialiased);

      opacity: 0;
      @include rollout;
    }
  }

  a:hover {
    transform: scale(1.05);

    .domain-de & {
      .mark-en {
        transform: rotate(-135deg);//rotate: -135deg;
        opacity: 0;
      }

      .mark-de {
        transform: rotate(-45deg);//rotate: -45deg;
        opacity: 1;
      }
    }

    .domain-it & {
      .mark-en {
        transform: rotate(-180deg);//rotate: -180deg;
        opacity: 0;
      }

      .mark-it {
        transform: rotate(0deg);//rotate: 0deg;
        opacity: 1;
      }
    }
  }
}

.page-header-navigation {
  flex-grow: 1;
}

.page-header-language {
  flex-grow: 1;
  align-items: stretch;
  justify-content: flex-end;

  .language-trigger {
    display: flex;
    align-items: stretch;

    margin-bottom: 0;

    >li {
      position: relative;
      display: flex;

      >a {
        display: flex;
        align-items: center;
        color: $anchor-font-color;

        @include icon(language, auto, 0, $anchor-font-color, 0, none);

        &:before {
          margin: 0;
        }

        span {
          margin: 0 -0.75em 0 -0.25em;
          @include icon(down-open, auto, 0, $anchor-font-color, 0, none);

          &:before {
            margin: 0;
          }
        }

        &:hover {
          &:before {
            color: $anchor-font-color-hover;
          }

          span {
            &:before {
              color: $anchor-font-color-hover;
            }
          }

          +.subnavigation {
            display: block;
          }
        }
      }
    }

    .language-de & {
      .language-trigger-de {
        color: $anchor-font-color !important;
      }
    }

    .language-it & {
      .language-trigger-it {
        color: $anchor-font-color !important;
      }
    }

    .language-en & {
      .language-trigger-en {
        color: $anchor-font-color !important;
      }
    }

    .language-fr & {
      .language-trigger-fr {
        color: $anchor-font-color !important;
      }
    }
  }

  @media #{$medium-up} {
    flex-grow: 0;
  }
}


.page-header-hamburger {
  .pure-button {
    padding: 0;
    font-size: 0.9em;
    color: $anchor-font-color;
    background-color: transparent;

    span {
      position: relative;
      width: 2em;

      &:before {
        margin: 0;
        font-size: 2em;
        opacity: 1;
      }

      span {
        position: absolute;
        top: 0;

        &:before {
          font-size: 2em; //2rem;
          opacity: 0;
          transform: rotate(45deg);
        }
      }
    }

    &:hover,
    &:active {
      color: $anchor-font-color-hover;
      border-color: transparent;
      box-shadow: none;
    }
  }
}

.header-footer-logo-secondary {
  @include ir;
  position: relative;
  display: block;
  height: math.div($logo-header-footer-secondary-width, 2);
  width: math.div($logo-header-footer-secondary-width, 2);
  background: transparent url("../images/pro/logos/logo_conselh.png") no-repeat 0 0;
  background-size: ($logo-header-footer-secondary-width * 0.5) ($logo-header-footer-secondary-height * 0.5);
  filter: grayscale(100%);

  &:hover {
    transform: scale(1.2);
    filter: grayscale(0%);
  }
}


.page-header-logo-secondary {
  align-items: center;
  margin-right: calc(-#{$logo-header-footer-secondary-width} * 0.4 - #{$page-header-padding-h} * 2 - #{$border-width} * 2);

  .header-footer-logo-secondary {
    height: $logo-header-footer-secondary-height * 0.4;
    width: $logo-header-footer-secondary-width * 0.4;
    background-size: ($logo-header-footer-secondary-width * 0.4) ($logo-header-footer-secondary-height * 0.4);
  }
}

// .page-header-weather-map-trigger {
//   display: none !important;

//   .s-weathermap-2020 & {
//     display: block !important;
//     position: absolute;
//     top: $page-header-height;
//     left: 50vw;
//     transform: translateX(-50%);
//     height: calc(#{$page-header-height} * 0.75 + #{$bar-width});
//     width: $page-header-height;
//     padding: 0;
//     background-color: rgba($white, 0.95);
//     @include box-shadow(0.15);
//   }
//   @media screen and (max-width: #{upper-bound($normal-range)}) {
//     .s-weathermap-2020.navigation-open & {
//       display: none !important;
//     }
//   }
// }
// .page-header-trigger {
//   height: calc(#{$page-header-height} * 0.75 + #{$bar-width});
//   width: $page-header-height;
//   padding: $bar-width 0 0 0 !important;
//   font-size: 1em;
//   color: $anchor-font-color;
//   background-color: transparent;

//   display: flex;
//   justify-content: center;
//   align-items: center;

//   span {
//     position: relative;
//     width: 2em !important;
//     font-size: 0.9em;
//     &:before {
//       margin: 0;
//       opacity: 1;
//     }
//     span {
//       position: absolute;
//       top: 0;
//       font-size: 1em;
//       &:before {
//         opacity: 0;
//       }
//     }
//   }

//   .scrolling-down.s-weathermap-2020 & {
//     span {
//       &:before {
//         opacity: 0;
//       }
//       span {
//         &:before {
//           opacity: 1;
//         }
//       }
//     }
//   }

//   &:hover,
//   &:active {
//     color: $anchor-font-color-hover;
//     background: none;
//     border-color: transparent;
//     box-shadow: none;
//   }
// }